<template>
	<view>
		<view class="box">
			<view class="top">
				<text class="title">企业审核</text>
			</view>
			<view class="item">
				<view class="l">企业名称：</view>
				<view class="r">
					{{form.name}}
				</view>
			</view>
			<view class="item">
				<view class="l">审核意见：</view>
				<view class="r">
					<u-input v-model="form.judgeContent" placeholder="输入审核意见" />
				</view>
			</view>
			<view class="item">
				<view class="l">审核结果：</view>
				<view class="r">
					<radio-group @change="statusChange">
						<label class="radio">
							<radio value="2" checked />通过
						</label>
						<label class="radio" style="margin-left: 20rpx;">
							<radio value="3" />不通过
						</label>
					</radio-group>
				</view>
			</view>
		</view>
		<view class="common-btn" @click="confirm">确认</view>
	</view>
</template>

<script>
	import request from '../../utils/request.js'
	export default {
		data() {
			return {
				form: {
					id:'',
					name:'',
					judgeContent: '',
					judgeStatus: '2'
				},
			}
		},
		onLoad(options) {
			this.form=options;
			this.form.judgeStatus=2;
		},
		methods: {
			statusChange(val){
				this.form.judgeStatus=val.detail.value;
			},
			confirm(){
				if(!this.form.judgeContent&&this.form.judgeStatus=='3'){
					this.$common.toast('请输入审核意见')
				}
				this.$api.judgeCustomer(this.form).then(resp=>{
					this.$common.back();
				})
			},
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #fff;
	}

	@import '@/common/common.scss'
</style>
